//  Попытаемся вывести на дисплей надпись и каждую секунду новое случайное число
//-----------------------------------------------------------------------
// Обязательно подключаем стандартную библиотеку LiquidCrystal
#include <LiquidCrystal.h>

//-----------------------------------------------------------------------
// Создаем объект дисплей lcd, объясняя программе куда подключены линии RS,EN,DB4,DB5,DB6,DB7
LiquidCrystal lcd(A1, A2, A3, 2, 4, 7);

//-----------------------------------------------------------------------
// Эта функция будет выполнена 1 раз в момент запуска программы Arduino
void setup() 
{
  // Инициализируем LCD как обычно -16 символов и 2 строки
  lcd.begin(16, 2);
  // Курсор находится на первой строке (верхней) и первом слева символе  

  // И напишем на дисплее Hello!
  lcd.print("Hello!");  
 
  // Выдержим паузу в 2000 миллисекунд= 2 секунды
  delay(2000); 
}

//-----------------------------------------------------------------------
// Эта функция будет выполнена после функции setup и будет бесконечное число раз повторятся после своего окончания.

void loop() {
  // Заводим переменную с именем randomNum
  long randomNum;
  
  // Записываем в эту переменную случайное число от 0 до (256-1) включительно
  randomNum = random(256);
 
  // Очищаем дисплей от всех надписей 
  lcd.clear();
  // Курсор находится на первой строке (верхней) и первом слева символе 
  
  // Переведем курсор на седьмой слева символ (нумерация начинается с 0) и вторую строку (нумерация начинается с 0) 
  lcd.setCursor(6, 1);
 
  // И напишем чему равна наша переменная со случайным числом в этот раз 
  lcd.print(randomNum); 
 
  // Выдержим паузу в 1000 миллисекунд= 1 секунду
  delay(1000);
 // Функция loop начнет выполняться сначала 
}
