
//  LiquidCrystallRus - библиотека, предназначенная для обеспечения 
//  поддержки русского языка в HD44780-совместимых дисплеях, в память
//  знакогенератора которых зашита кириллица.
//-----------------------------------------------------------------------
// Подключаем библиотеку LiquidCrystalRus
#include <LiquidCrystalRus.h>
// Подключаем библиотеки, которые использует LiquidCrystalRus
#include <LiquidCrystalExt.h>
#include <LineDriver.h>

//-----------------------------------------------------------------------
// Инициализируем дисплей, объясняя программе куда подключены линии RS,EN,DB4,DB5,DB6,DB7
LiquidCrystalRus lcd(A1, A2, A3, 2, 4, 7);


//-----------------------------------------------------------------------
// Эта функция будет выполнена 1 раз в момент запуска программы Arduino
void setup() 
{
  // Инициализируем LCD как обычно - 16 символов и 2 строки
  lcd.begin(16, 2);
  // Курсор находится на первой строке (верхней) и первом слева символе  

  // Выводим символы кириллицей и несколько служебных символов
  lcd.print("Привет, мир! @&%");  
  
  // Переведем курсор на первый слева символ (нумерация начинается с 0) и вторую строку (нумерация начинается с 0)
  lcd.setCursor(0, 1);
   
  // Выводим символы латиницей и несколько цифр
  lcd.print("Hello,world! 123");  
}

//-----------------------------------------------------------------------
// Эта функция будет выполнена после функции setup и будет бесконечное число раз повторятся.
// Так как функция пуста- то Arduino программа ничего не будет делать
void loop() {}
