
//  WolfCrystals - небольшая библиотека, предназначенная для обеспечения 
//  поддержки русского языка теми из HD44780-совместимых дисплеев, в память
//  знакогенератора которых изначально не была зашита кириллица.
//-----------------------------------------------------------------------
// Обязательно подключаем стандартную библиотеку LiquidCrystal
#include <LiquidCrystal.h>

// Подключаем библиотеку WolfCrystal
#include <WolfCrystal.h>

//-----------------------------------------------------------------------
// Инициализируем дисплей, объясняя программе куда подключены линии RS,EN,DB4,DB5,DB6,DB7
LiquidCrystal lcd(A1, A2, A3, 2, 4, 7);

// Присоединяем дисплей lcd к библиотекe WolfCrystal.
WolfCrystal WC(&lcd); 

//-----------------------------------------------------------------------
// Эта функция будет выполнена 1 раз в момент запуска программы Arduino
void setup() 
{
  // Инициализируем LCD как обычно -16 символов и 2 строки
  lcd.begin(16, 2);
  // Курсор находится на первой строке (верхней) и первом слева символе  

  // Для того, чтобы использовать русский, применяем вставку 
  lcd.print( WC.GS("Привет, мир!") );  
  
  // Переведем курсор на первый слева символ (нумерация начинается с 0) и вторую строку (нумерация начинается с 0)
  lcd.setCursor(0, 1);
   
  // И напишем латиницей
  lcd.print("rulez!");  
}

//-----------------------------------------------------------------------
// Эта функция будет выполнена после функции setup и будет бесконечное число раз повторятся.
// Так как функция пуста- то Arduino программа ничего не будет делать
void loop() {}
